const { defineConfig } = require('@vue/cli-service')
module.exports = defineConfig({
  transpileDependencies: true,
  css: {
    loaderOptions: {
      less: {
        lessOptions: {
          // If you are using less-loader@5 please spread the lessOptions to options directly
          modifyVars: {
            'primary-color': '#16BFD5',
            'link-color': '#16BFD5',
            'border-radius-base': '2px',
          },
          javascriptEnabled: true,
        },
      },
    },
  },
  publicPath: `/subapp/smartguider/`,
  assetsDir: 'assets',
  productionSourceMap: false,
  devServer: {
    open: true,//自动打开浏览器
    proxy: {
      '/api': {
        target: 'https://xiaodian-dev.miyatech.com/api',//'https://sample.zwjk.com/sdo/api/advice',//'http://testvideos.zwjk.com/advice/',
        secure: false, // 如果是https接口，需要配置这个参数
        changeOrigin: true, // 如果接口跨域，需要进行这个参数配置
        pathRewrite: { '^/api': '' },
      }
    },
    port: 8080,
  },
  outputDir: 'dist'
})
